name: Build and run rrex2


on:
  push:
    branches: [ "main" ]
  pull_request:
    branches: [ "main" ]

env:
  BUILD_TYPE: Release

jobs:
  build:
    
    runs-on: ubuntu-latest

    steps:
    - uses: actions/checkout@v4
    - name: Install dependencies
      run: sudo apt update && sudo apt install clang-format -y
    - name: Build
      working-directory: ${{github.workspace}}
      run: make
      
    - name: Install
      working-directory: ${{github.workspace}}
      run: make install

